%define name		tint2
%define version		0.9
%define release		%mkrel 1

Summary:	Tint2 - A Lightweight Panel and Taskbar
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPLv2
Group:		Graphical desktop/Other
Url:		http://code.google.com/p/tint2/
Source0:	http://tint2.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	cairo-devel
BuildRequires:	libx11-devel
BuildRequires:	pango-devel
BuildRequires:	libxinerama-devel
BuildRequires:	imlib2-devel
BuildRequires:	glib2-devel
BuildRequires:	libxrandr-devel, libxcomposite-devel, libxdamage-devel

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers. The
goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS COPYING README ChangeLog 
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2
%{_datadir}/tint2/*.png
%{_mandir}/man1/*


%changelog
* Wed Mar 03 2010 Lev Givon <lev@mandriva.org> 0.9-1mdv2010.0
+ Revision: 513896
- Update to 0.9.

* Fri Jan 15 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8-1mdv2010.1
+ Revision: 491937
- Update to new version 0.8
- Use %%configure2_5x macro in order to fix warnings
- Use %%{buildroot} instead of $RPM_BUILD_ROOT in SPEC file

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - Removed unused patch

* Thu Jul 30 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.7.1-1mdv2010.0
+ Revision: 404604
- Fix libx11 requirement for 64bit system
- Update to tint2 0.7.1
- It's a release, not an svn checkout
- s/GPL2/GPLv2 (from rpmlint)
- s/libx11-devel/libx11_6-devel (from rpmlint)
- Old patches do not apply anymore, but I'm still keeping them in the repo
  (don't know if they are still necessary)

* Wed Mar 11 2009 Caio Begotti <caio1982@mandriva.org> 0.6.0-svn69.1mdv2009.1
+ Revision: 353812
- even more deps...
- yet another missing dependency fixed
- now it builds fine
- i have forgot to fix the pkgconfig line as well (removing the incomplete/obsolete patch now)
- i have forgot to fix the pkgconfig line as well
- fixing the 'lib' part of my buildrequires according to salem's advice
- a couple of fixes per review, thanks to salem and blino
- fixes the building of the debug package, upstream was using stripping code manually
- removing an wrongly package checkout from upstream svn
- fixing the release tag
- fixing building errors that i should be aware of before even trying it
- import tint2


